/***************************************************************************
                          kplots.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 2000 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPLOTS_H
#define KPLOTS_H

#define NPMAX 20

/** Types of files */
enum fileTypes{UNKNOWN, DATAFILE, PLOTFILE};
/** Types of items */
enum itemTypes{FRAMEITEM = 1, ARRAYITEM, FUNITEM, PARFUNITEM, LEGENDITEM};

/** Structure contains data error fit settings for parameter fits. */
struct DataErrorStruct {
  bool fitErrCol;
  double pErrMod[NPMAX];
  char errModName[100], errModPath[260];
};

/** Structure contains autoplot settings. */
struct AutoStruct {
  bool autoErr, autoNorm, autohPath, autoFit, fitShowDlg, fitSavePar,
       fitFollow, fitPar[NPMAX], fitNonLin, showSource;
  int prec, ixAuto, iyAuto, ieAuto, autoGrid, autoSymb, fitMaxIt, fitSymb,
      nyLeg;
  long colFrame, colGrid, colData, fitColor;
  double xf, yf, x0Auto, xlAuto, y0Auto, ylAuto, fitTol, pFit[NPMAX];
  char format, sxAuto[80], syAuto[80], shAuto[260], fitName[100],
       fitPath[260];
  DataErrorStruct err;
};

#endif
