/***************************************************************************
                          FILENAME  -  description                              
                             -------------------                                         
    begin                : DATE                                           
    copyright            : (C) YEAR by AUTHOR                         
    email                : EMAIL                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qtextstream.h>
#include <qfile.h>
#include <kapp.h>

#if (KDE_VERSION_MAJOR > 1) || (KDE_VERSION_MINOR > 1)
  #include <kglobal.h>
#endif

#include "sourcewidget.h"

SourceWidget::SourceWidget(QWidget *parent, QFile *f) :
 QMultiLineEdit(parent)
{
#if (KDE_VERSION_MAJOR > 1) || (KDE_VERSION_MINOR > 1)
  setFont(KGlobal::fixedFont());
#else
  setFont(kapp->fixedFont);
#endif
  setReadOnly(true);
  if (f)
    fill(f);
}

SourceWidget::~SourceWidget()
{
}

void SourceWidget::fill(QFile *f)
{
  setAutoUpdate(false);
  clear();
  QTextStream t(f);
  while (!t.eof())
    append(t.readLine());
  f->close();
  setAutoUpdate(true);
  repaint();
}

void SourceWidget::highlight(const char *func)
{
  int i, col;
  QString s;

  if (!func)
    return;
  i = -1;
  while (s = textLine(++i)) {
    col = s.find(QString(" ") + func + "(double");
    if (col != -1) {
      setCursorPosition(i + 15, col);
      setCursorPosition(i, ++col);
      setCursorPosition(i, col + strlen(func), true);
      break;
    }
  }
  setFocus();
}
